aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDenis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>2020-10-24 01:28:44 +0200
committerDenis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>2020-10-24 01:30:15 +0200
commit0f27d50b2a929ab3f2b25e89f1b01fa1a9984782 (patch)
tree1928d356b635a704f87a559b791402052eb69696
parentb06912270f5f44e02b0d42e6ed16ad85addb8af1 (diff)
downloadvendor_replicant-release-scripts-0f27d50b2a929ab3f2b25e89f1b01fa1a9984782.tar.gz
vendor_replicant-release-scripts-0f27d50b2a929ab3f2b25e89f1b01fa1a9984782.tar.bz2
vendor_replicant-release-scripts-0f27d50b2a929ab3f2b25e89f1b01fa1a9984782.zip
releasevars.sh: guard against wrong RELEASE variable
This will prevent developers from accidentally pushing tags for a wrong version on new repositories that weren't tagged yet by the previous releases, and also prevent from pushing tags with the same name than branches. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
-rwxr-xr-xreleasevars.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/releasevars.sh b/releasevars.sh
index 0f885db..896d4f8 100755
--- a/releasevars.sh
+++ b/releasevars.sh
@@ -16,7 +16,19 @@
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
-RELEASE="6.0"
+RELEASE=""
+
+if [ -z "${RELEASE}" ] ; then
+ echo "You need to define the RELEASE variable in the releasevars.sh script."
+ echo "This needs to reflect the Replicant version you are releasing."
+ echo
+ echo "For example, if you are releasing Replicant 6.0 0004 RC2, you can use:"
+ echo " RELEASE=\"6.0-0004-rc2\""
+ echo
+ echo "Or if you just want to release a build from the replicant-6.0 branch:"
+ echo " RELEASE=\"6.0\""
+ exit 1
+fi
# The files are in out/dist/${device}/
RELEASE_IMAGES="\